Skip to content

Activates a payment link

Request

POST {{baseURL}}/pay-int-api/quick-payments/{{quickPaymentId}}/activate

This endpoint manually activates a one-time payment link.

A created one-time payment link must be activated before using it.

See Also:
To create a one-time payment link, see POST /pay-int-api/quick-payments/one-time
To send a one-time payment link to a customer, see POST /pay-int-api/quick-payments/{{quickPaymentId}}/send-sms-notification
To manually deactivate a link, see POST /pay-int-api/quick-payments/{{quickPaymentId}}/deactivate
To get a list of all one-time payments links, see GET /pay-int-api/quick-payments/one-time
To get details for a specified one-time payments link, see POST /pay-int-api/quick-payments/one-time/{{quickPaymentId}}

Security
Bearer
Path
quickPaymentIdstring, (uuid)required

Specifies the payment link identifier.

This value is returned from either:

  • POST /pay-int-api/quick-payments/one-time
  • POST /pay-int-api/quick-payments/reusable
Example:0423617a-2004-4516-935d-e5ad4bbbe93e
Headers
x-api-versionstring
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-int-api/quick-payments/0423617a-2004-4516-935d-e5ad4bbbe93e/activate \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-api-version: string'

Responses

OK